ian lovatt

proxy issues using M52277XEVB BSP LTIB on Debian 6.0

Discussion created by ian lovatt on May 7, 2012
Latest reply on May 7, 2012 by ian lovatt

Hi this is more of a request for advice on where to go looking to find answers as i'm new to linux I thought i'd post here to get pointed at resources that other freescale developers use.

 

Opted for Debian (latest release "squeeze") from the list of supported host platorms from the BSP user guide(attached):

  Redhat: 7.3, 8.0, 9.0 

  Fedora Core: 1, 2, 3 

  Debian: 3.1r0 (stable), unstable 

  SuSE: 8.2,  9.2, 10.0, 10.2

 

Do people recommend any of the others over debian as a host platform for running LTIB on?

 

The main problem is installing debian (as a VM in "Windows Virtual PC" running on windows7 PC). We have a proxy for accessing the internet from our intranet which caused grief using the net downloader. In the end we used the debian-6.0.4-i386-CD-1.iso as the net downloader kept falling over trying to get past our proxy.

 

We hoped this .iso would have the necessary bits to use LTIB but upon trying to install it grumbles about various packages missing. We can get online using IceWeasel browser which corrrectly requests our proxy credentials which I believe proves our proxy settings are correct and the debian VM can get online. However we can't seem to apt-get the packages for debian we need to complete our LTIB install. It keeps failing with

 

"407 Proxy Authentication Required (Previous logon failed)"

 

Where should i go looking for help on this (linux forums etc)? Searches so far have given us things to try but none have worked.

 

Should we abandon debian or Windows Virtual PC in favour of a different approach?

Outcomes